Bug 178014 - USB disconnect/connect continuously
USB disconnect/connect continuously
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 07:37 EST by Luigi Carlotto
Modified: 2015-01-04 17:24 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 08:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luigi Carlotto 2006-01-17 07:37:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; it; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
Hardware Environment: MB Asus P4B533-E, Intel Pentium 4 2.4GHz, 6 x usb2

Problem Description: 

In order to begin I make excuses myself for my English bad one.

My system is an Intel 486 2.4GHz on the motherboard Asus P4B533-E, with
operating system Fedora 4 - kernel 2.6.14-1.1653_FC4 not ricompiled (default). I
have a problem with a harddisk external usb2, than sconnette continuously. On an
other connector usb I have an other harddisk that instead it works without
problems. The harddisk that creates the error, comes mounted automatically from
automount, but after approximately 30 second ones it happens the logoff.
Immediately after the same one harddisk it comes autoremounting and to the
device it comes assigned an increasing and always various number: es.
/proc/scsi/usb-storage/0, 1, 2 etc...
The files in issue they contain:

/proc/scsi/usb-storage/0 (OK):
   Host scsi0: usb-storage
       Vendor: Prolific Technology Inc.
      Product: ATAPI-6 Bridge Controller
Serial Number: 200000002115
     Protocol: Transparent SCSI
    Transport: Bulk
       Quirks:

/proc/scsi/usb-storage/? (NOK):
   Host scsi3: usb-storage
       Vendor: Unknown
      Product: USB 2.0 Storage Device
Serial Number: 03669562100000000230
     Protocol: Transparent SCSI
    Transport: Bulk
       Quirks:

System log (dmesg):

usbcore: registered new driver usbfs
usbcore: registered new driver hub
usbcore: registered new driver hiddev
usbcore: registered new driver usbhid
drivers/usb/input/hid-core.c: v2.6:USB HID core driver
usb 1-3: new high speed USB device using ehci_hcd and address 2
usb 4-2: new low speed USB device using uhci_hcd and address 2
usb 4-2: new low speed USB device using uhci_hcd and address 3
usb 4-2: new low speed USB device using uhci_hcd and address 5
usb 4-2: new low speed USB device using uhci_hcd and address 6
usb 4-2: new low speed USB device using uhci_hcd and address 7
usb 4-2: device not accepting address 7, error -71
usb 4-2: new full speed USB device using uhci_hcd and address 8
usb 4-2: device not accepting address 8, error -71
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
usb-storage: device scan complete
usb 1-1: new high speed USB device using ehci_hcd and address 4
usb-storage: device found at 4
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
usb 1-1: USB disconnect, address 4
usb 1-1: new high speed USB device using ehci_hcd and address 5
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
usb 1-1: USB disconnect, address 5
usb 1-1: new high speed USB device using ehci_hcd and address 6
usb-storage: device found at 6
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
usb 1-1: USB disconnect, address 6
...
...
...

Instead on a system slackware 10.2 with kernel 2,4 the harddisk it works well.
Same thing on systems Windows XP. Unfortunately I do not have possibility to
test this problem on kernel 2.6.x various ones.

Steps to reproduce:
Enough to connect the cable usb and to ignite the external device.

If necessary I can supply ulterior information.
Thanks



Version-Release number of selected component (if applicable):
2.6.14*

How reproducible:
Always

Steps to Reproduce:
1.enough to only insert the plus usb to the PC, the rest it happens automatically

  

Additional info:
Comment 1 Dave Jones 2006-02-03 00:22:04 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 2 John Thacker 2006-05-05 08:58:16 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.